GuideLab API

Get orders for a specific day

Returns a paginated list of orders for a specific date with full order details including phase summaries. Supports filtering by status and search. Used for the day detail view in the calendar.

GET
/orders/calendar/day

Returns a paginated list of orders for a specific date with full order details including phase summaries. Supports filtering by status and search. Used for the day detail view in the calendar.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Query Parameters

date*string

Date (YYYY-MM-DD)

dateField?string

Date field to use: dueDate (default) or deadline

status?string

Comma-separated status filter

search?string

Search term

page?string

Page number (default: 1)

limit?string

Items per page (default: 20, max: 100)

Response Body

application/json

curl -X GET "https://example.com/orders/calendar/day?date=2025-01-15"
{  "data": [    null  ],  "pagination": {    "page": 0,    "limit": 0,    "total": 0,    "totalPages": 0  }}
Empty
Empty